import { Router, CanActivate, CanActivateChild, CanLoad } from '@angular/router';
import { Observable } from 'rxjs/Observable';
export declare class Offline implements CanActivate, CanActivateChild, CanLoad {
    router: Router;
    platformId: string;
    routeOffline: string;
    routeUnavailable: string;
    guardsRedirect: boolean;
    static instance: Offline | null;
    connectionChanges: Observable<boolean>;
    readonly isOnline: boolean;
    static catch<T>(): (source: Observable<T>) => Observable<T>;
    protected static catchCallback<T>(error: any, caught: Observable<T>): Observable<T>;
    constructor(router: Router, platformId: string, routeOffline?: string, routeUnavailable?: string, guardsRedirect?: boolean);
    canActivate(): boolean;
    canActivateChild(): boolean;
    canLoad(): boolean;
    protected initConnectionObservable(): void;
    protected guard(): boolean;
}
export declare const catchOffline: typeof Offline.catch;
